#include "BellowsPositionSpy.hpp"

BellowsPositionSpy::BellowsPositionSpy(std::string id, const float lowLim_mm,
									   const float highLim_mm) :
	BellowsPosition(id, lowLim_mm, highLim_mm),
	fakePercentOfFullValue_(0.0f)
{
}

BError BellowsPositionSpy::start()
{
	return BError::NONE;
}

BError BellowsPositionSpy::stop()
{
	return BError::NONE;
}

BError BellowsPositionSpy::sleep()
{
	return BError::NONE;
}

BError BellowsPositionSpy::getPosition_pctFull(float& percentOfFull)
{
	percentOfFull = fakePercentOfFullValue_;
	return BError::NONE;
}

void BellowsPositionSpy::setPositionPercent(float percentOfFull)
{
	fakePercentOfFullValue_ = percentOfFull;
}

void BellowsPositionSpy::logEngFileHeader()
{
}